import { SimpleLocalIntegration } from '../../core/index.js';
import { WledConfigFlow } from './wled.classes.configflow.js';
import { createWledDiscoveryDescriptor } from './wled.discovery.js';
import type { IWledConfig } from './wled.types.js';
import { wledDomain, wledProfile } from './wled.types.js';

export class WledIntegration extends SimpleLocalIntegration<IWledConfig> {
  public readonly domain = wledDomain;
  public readonly discoveryDescriptor = createWledDiscoveryDescriptor();
  public readonly configFlow = new WledConfigFlow();

  constructor() {
    super(wledProfile);
  }
}

export class HomeAssistantWledIntegration extends WledIntegration {}
